com.elastisys.scale.cloudpool.api.types

## Class Machine.InstanceHourStart

- java.lang.Object
- - com.elastisys.scale.cloudpool.api.types.Machine.InstanceHourStart

All Implemented Interfaces:
  com.google.common.base.Function<Machine,org.joda.time.DateTime>

Enclosing class:
  Machine

    public static class Machine.InstanceHourStart
    extends Object
    implements com.google.common.base.Function<Machine,org.joda.time.DateTime>

A `Function` that for a given `Machine` calculates when the started its most recent hour.

The `Machine` must have its launch time set.

### Constructor Summary

Constructors
Constructor and Description
`InstanceHourStart()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.joda.time.DateTime` `apply(Machine machine)` Calculates the starting point of the machine's current hour.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.google.common.base.Function

`equals`

### Constructor Detail

#### InstanceHourStart

    public InstanceHourStart()

### Method Detail

#### apply

    public org.joda.time.DateTime apply(Machine machine)

Calculates the starting point of the machine's current hour.

Specified by:
  `apply` in interface `com.google.common.base.Function<Machine,org.joda.time.DateTime>`
Parameters:
  `machine` -
Returns: